diff -Naur fish-1.9.2/Makefile.in fish-1.9.2-with-options/Makefile.in
--- fish-1.9.2/Makefile.in	2005-05-24 12:36:01.000000000 +0200
+++ fish-1.9.2-with-options/Makefile.in	2005-05-28 17:34:56.000000000 +0200
@@ -39,6 +39,8 @@
 exec_prefix = @exec_prefix@
 bindir = @bindir@
 mandir = @mandir@
+sysconfdir = @sysconfdir@
+datadir = @datadir@
 
 # All objects used by fish, that are compiled from an ordinary .c file
 # using an ordinary .h file.
@@ -232,22 +234,22 @@
 	for i in $(PROGRAMS); do\
 		$(INSTALL) -m 755 $$i $(DESTDIR)$(bindir) ; \
 	done;
-	$(INSTALL) -m 755 -d $(DESTDIR)/etc/fish.d 
-	$(INSTALL) -m 644 init/fish $(DESTDIR)/etc 
-	$(INSTALL) -m 644 init/fish_function.fish $(DESTDIR)/etc/fish.d/;
-	$(INSTALL) -m 644 init/fish_interactive.fish $(DESTDIR)/etc/fish.d/;
-	$(INSTALL) -m 644 init/fish_complete.fish $(DESTDIR)/etc/fish.d/;
-	$(INSTALL) -m 644 init/fish_inputrc $(DESTDIR)/etc/fish_inputrc;
-	$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)/share/doc/fish
+	$(INSTALL) -m 755 -d $(DESTDIR)$(sysconfdir)/fish.d 
+	$(INSTALL) -m 644 init/fish $(DESTDIR)$(sysconfdir) 
+	$(INSTALL) -m 644 init/fish_function.fish $(DESTDIR)$(sysconfdir)/fish.d/;
+	$(INSTALL) -m 644 init/fish_interactive.fish $(DESTDIR)$(sysconfdir)/fish.d/;
+	$(INSTALL) -m 644 init/fish_complete.fish $(DESTDIR)$(sysconfdir)/fish.d/;
+	$(INSTALL) -m 644 init/fish_inputrc $(DESTDIR)$(sysconfdir)/fish_inputrc;
+	$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)$(datadir)/doc/fish
 	for i in user_doc/html/*; do \
-		$(INSTALL) -m 644 $$i $(DESTDIR)$(prefix)/share/doc/fish/; \
+		$(INSTALL) -m 644 $$i $(DESTDIR)$(prefix)$(datadir)/doc/fish/; \
 	done
 	$(INSTALL) -m 755 -d $(DESTDIR)$(mandir)/man1
 	for i in doc_src/fish.1 xsel-0.9.6/xsel.1x doc_src/builtin_doc/man/man1/mimedb.1 doc_src/builtin_doc/man/man1/set_color.1 doc_src/builtin_doc/man/man1/tokenize.1; do \
 		$(INSTALL) -m 644 $$i $(DESTDIR)$(mandir)/man1/; \
 	done;
-	echo If you want to use fish as the default shell, remember to first
-	echo add the line \'$(DESTDIR)$(bindir)/fish\' to the file \'/etc/shells\'.
+	@echo If you want to use fish as the default shell, remember to first
+	@echo add the line \'$(DESTDIR)$(bindir)/fish\' to the file \'/etc/shells\'.
 
 #Local install
 install_local: all 
@@ -272,11 +274,11 @@
 	for i in $(PROGRAMS); do \
 		rm -f $(DESTDIR)$(bindir)/$$i; \
 	done;
-	rm -f $(DESTDIR)/etc/fish 
-	rm -f $(DESTDIR)/etc/fish_inputrc
-	rm -f $(DESTDIR)/etc/fish.d/fish_function.fish $(DESTDIR)/etc/fish.d/fish_complete.fish $(DESTDIR)/etc/fish.d/fish_alias.fish $(DESTDIR)/etc/fish.d/fish_interactive.fish
-	rmdir $(DESTDIR)/etc/fish.d
-	rm -r $(DESTDIR)$(prefix)/share/doc/fish/
+	rm -f $(DESTDIR)$(sysconfdir)/fish 
+	rm -f $(DESTDIR)$(sysconfdir)/fish_inputrc
+	rm -f $(DESTDIR)$(sysconfdir)/fish.d/fish_function.fish $(DESTDIR)$(sysconfdir)/fish.d/fish_complete.fish $(DESTDIR)$(sysconfdir)/fish.d/fish_alias.fish $(DESTDIR)$(sysconfdir)/fish.d/fish_interactive.fish
+	rmdir $(DESTDIR)$(sysconfdir)/fish.d
+	rm -r $(DESTDIR)$(prefix)$(datadir)/doc/fish/
 	for i in fish.1 xsel.1x mimedb.1 set_color.1 tokenize.1; do \
 		rm $(DESTDIR)$(mandir)/man1/$$i; \
 	done;
